Package org.eclipse.m2m.atl.adt.ui.outline

## Class AtlOutlinePage

- java.lang.Object
- - org.eclipse.ui.part.Page
  - - org.eclipse.m2m.atl.adt.ui.outline.AtlOutlinePage

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IPostSelectionProvider`, `org.eclipse.jface.viewers.ISelectionProvider`, `org.eclipse.ui.part.IPage`, `org.eclipse.ui.part.IPageBookViewPage`, `org.eclipse.ui.views.contentoutline.IContentOutlinePage`

Direct Known Subclasses:
  `AtlContentOutlinePage`

    public abstract class AtlOutlinePage
    extends org.eclipse.ui.part.Page
    implements org.eclipse.ui.views.contentoutline.IContentOutlinePage, org.eclipse.jface.viewers.IPostSelectionProvider

### Field Summary

Fields
`protected org.eclipse.core.runtime.ListenerList` `selectionChangedListeners` Will contain the listener added to the tree viewer if this one is still null
`protected org.eclipse.jface.viewers.TreeViewer` `treeViewer`

### Constructor Summary

Constructors
`AtlOutlinePage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPostSelectionChangedListener​(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `addSelectionChangedListener​(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `createControl​(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Control` `getControl()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `removePostSelectionChangedListener​(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `removeSelectionChangedListener​(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `setFocus()`
`void` `setSelection​(org.eclipse.jface.viewers.ISelection selection)`

### Methods inherited from class org.eclipse.ui.part.Page

`dispose, getSite, init, makeContributions, setActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.part.IPage

`dispose, setActionBars`

### Field Detail

#### treeViewer

    protected org.eclipse.jface.viewers.TreeViewer treeViewer

#### selectionChangedListeners

    protected org.eclipse.core.runtime.ListenerList selectionChangedListeners

Will contain the listener added to the tree viewer if this one is still null

When tree viewer will be instantiated in method `createPartControl`it will be added these listeners

### Constructor Detail

#### AtlOutlinePage

    public AtlOutlinePage()

### Method Detail

#### createControl

    public void createControl​(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createControl` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `createControl` in class `org.eclipse.ui.part.Page`
See Also:
  `IPage.createControl(org.eclipse.swt.widgets.Composite)`

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `getControl` in class `org.eclipse.ui.part.Page`
See Also:
  `IPage.getControl()`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `setFocus` in class `org.eclipse.ui.part.Page`
See Also:
  `Page.setFocus()`

#### addPostSelectionChangedListener

    public void addPostSelectionChangedListener​(org.eclipse.jface.viewers.ISelectionChangedListener listener)

Specified by:
  `addPostSelectionChangedListener` in interface `org.eclipse.jface.viewers.IPostSelectionProvider`
See Also:
  `IPostSelectionProvider.addPostSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

#### removePostSelectionChangedListener

    public void removePostSelectionChangedListener​(org.eclipse.jface.viewers.ISelectionChangedListener listener)

Specified by:
  `removePostSelectionChangedListener` in interface `org.eclipse.jface.viewers.IPostSelectionProvider`
See Also:
  `IPostSelectionProvider.removePostSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

#### addSelectionChangedListener

    public void addSelectionChangedListener​(org.eclipse.jface.viewers.ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`
See Also:
  `ISelectionProvider.addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

#### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

Specified by:
  `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
See Also:
  `ISelectionProvider.getSelection()`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener​(org.eclipse.jface.viewers.ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`
See Also:
  `ISelectionProvider.removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

#### setSelection

    public void setSelection​(org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
See Also:
  `ISelectionProvider.setSelection(org.eclipse.jface.viewers.ISelection)`